EMF::GRAPHICSOBJECT(3)

NAME
EMF::GRAPHICSOBJECT - A global graphics object.

SYNOPSIS

#include <libemf.h>

Inherits EMF::OBJECT.

Inherited by EMF::BRUSH, EMF::EXTPEN, EMF::FONT, EMF::PALETTE, and EMF::PEN.

  Public Member Functions

virtual ~GRAPHICSOBJECT ()
GRAPHICSOBJECTs has a virtual destructor.
virtual METARECORD * newEMR (HDC dc, HGDIOBJ handle)=0

  Data Fields

std::map< HDC, HGDIOBJ > contexts

Detailed Description

A global graphics object.

Graphics objects have some additional properties: When an object is Select'ed into a device context, the handle for that context is added to the list of context's in which this object is used.

Member Function Documentation

  virtual METARECORD* EMF::GRAPHICSOBJECT::newEMR (HDC dc, HGDIOBJ handle) [pure virtual]
Create a new metarecord which describes this object.

Parameters:
    dc the handle to the device context.
    handle (appears not to used. Note the handle is really assigned at serialization time.)

Implemented in EMF::PALETTE, EMF::FONT, EMF::BRUSH, EMF::EXTPEN, and EMF::PEN.

Referenced by EMF::EMRCREATEPALETTE::execute().

Field Documentation

  std::map< HDC, HGDIOBJ > EMF::GRAPHICSOBJECT::contexts
A set of all the contexts into which this object has been selected and the associated metafile handle for the object.

Referenced by EMF::EMRCREATEPALETTE::execute().

Author

Generated automatically by Doxygen for libemf from the source code.